### Function

# Mtk DbusPidfd new_for_connection_async

#### Declaration [src]

    void
    mtk_dbus_pidfd_new_for_connection_async (
      GDBusConnection* connection,
      const char* sender,
      GCancellable* cancellable,
      GAsyncReadyCallback callback,
      gpointer user_data
    )

#### Description

No description available.

This function is not directly available to language bindings.

#### Parameters

`connection`

  Type: `GDBusConnection*`

  No description available.

  The data is owned by the caller of the function.

`sender`

  Type: `const char*`

  No description available.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`cancellable`

  Type: `GCancellable*`

  No description available.

  The data is owned by the caller of the function.

`callback`

  Type: `GAsyncReadyCallback`

  No description available.

`user_data`

  Type: `gpointer`

  No description available.

  The argument can be `NULL`.
  The data is owned by the caller of the function.